## sidekick
Class Asset

    java.lang.Object
      sidekick.Asset

All Implemented Interfaces:
  IAsset

Direct Known Subclasses:
  SourceAsset

public abstract class Asset
extends Object
implements IAsset

A block of code within a file. Assets correspond to nodes in the Structure Browser and folds in the SideKick folding mode.

Field Summary
`Position` `end`
`String` `name`
`Position` `start`

Constructor Summary
`Asset(String name)`

Method Summary
`Position` `getEnd()` Returns the end position.
`String` `getName()` Returns the name of the Asset.
`Position` `getStart()` Returns the starting position.
`void` `setEnd(Position end)` Set the end position
`void` `setName(String name)` Set the name of the asset
`void` `setStart(Position start)` Set the start position

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface sidekick.IAsset
`getIcon, getLongString, getShortString`

Field Detail

### name

    public String name

### start

    public Position start

### end

    public Position end

Constructor Detail

### Asset

    public Asset(String name)

Method Detail

### getName

    public String getName()

  Returns the name of the Asset.

  Specified by:
    `getName` in interface `IAsset`

### getStart

    public Position getStart()

  Returns the starting position.

  Specified by:
    `getStart` in interface `IAsset`

### getEnd

    public Position getEnd()

  Returns the end position.

  Specified by:
    `getEnd` in interface `IAsset`

### setName

    public void setName(String name)

  Set the name of the asset

  Specified by:
    `setName` in interface `IAsset`

### setStart

    public void setStart(Position start)

  Set the start position

  Specified by:
    `setStart` in interface `IAsset`

### setEnd

    public void setEnd(Position end)

  Set the end position

  Specified by:
    `setEnd` in interface `IAsset`